Subject: Re: [Pce] Update in ID: draft-dhody-pce-pcep-domain-sequence

From: Zhangfatai <[email-masked]>
Date: Fri, 21 Oct 2011 03:55:00 +0000

Hi Dhruv and all,

You may notice the mail from Ramon about [HPCE- PCEP-EXT], which raised a point about the format of the Domain-ID TLV. We also put a editors’ note in section 3.1.3 to capture this issue.

In [HPCE- PCEP-EXT] draft, we defined the Domain-ID TLV which has the same format as PCE-DOMAIN sub-TLV format defined in RFC5088, but we did not notice that the length of  ISIS area ID should be variable. So, we need to refine the format as follows at least (just my suggestions):

    0                   1                   2                   3

    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   |           Domain Type         |            Reserved           |

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

   //                       Domain ID                              //

   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

  Type=1: an AS number (4 bytes)

  Type=2: OSPF area ID (4 bytes)

  Type=3: ISIS area ID, the length is variable

Note that this Domain-ID TLV can be included in many PCEP objects like OPEN, NOTIFICATION, RP objects.

As for [draft-dhody], the sub-objects extended in this draft is for IRO, which has the same format of ERO.  So I think it is better to have this draft to follow the RSVP sub-objects format.

In summary, I think the Domain ID TLV can be defined as defined in [HPCE- PCEP-EXT] (with some refinement), IRO subject extension can be defined as defined in [draft-dhody].

What are your opinions?

Thanks

Fatai

From: [email-masked] [mailto:[email-masked]] On Behalf Of Dhruv Dhody
Sent: 2011年9月12日 18:50
To: [email-masked]
Subject: [Pce] Update in ID: draft-dhody-pce-pcep-domain-sequence

Dear All,

We have rolled out a new version for DOMAIN-SEQ draft.

http://tools.ietf.org/html/draft-dhody-pce-pcep-domain-sequence-01

Main Changes done:

* Alignment for the new sub-objects

* Support for 4 byte AS number

We are still awaiting comments/suggestions in WG regarding

* New IRO Class Type for domain Sequence

* Use of RBNF to explain Subobjects ordering within domain-sequence(IRO Object)

For more information refer Message Thread:

http://www.ietf.org/mail-archive/web/pce/current/msg02580.html

We plan to resolve this before/during the next IETF meeting.

Regards,

Dhruv

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

Dhruv Dhody

Senior Technical Leader, Huawei Technologies India Pvt. Ltd., Bangalore, India. Ph +91-9845062422

This e-mail and attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient's) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

---

From: Dhruv Dhody <[email-masked]>
Date: Fri, 21 Oct 2011 08:48:14 +0000

Dear Fatai and all,

I do agree with you in this regard, that we need SUB-Objects in case of IRO and ERO where we need a sequence of domains.
But when domain information needs to be carried in OPEN, NOTIFICATION it may be similar to definition defined in PCE Discovery via OSPF, ISIS RFCs. [RFC 5088, 5089].

>>the Domain ID TLV can be defined as defined in [HPCE- PCEP-EXT] (with some refinement), IRO subject extension can be defined as defined in [draft-dhody].

So yes! This is the right way forward IMHO! :D

Regards,
Dhruv

***************************************************************************************
Dhruv Dhody, Senior Technical Leader, Huawei Technologies, Bangalore, India, Ph. +91-9845062422<tel:%2B91-9845062422>
This e-mail and attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient's) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

From: Zhangfatai
Sent: Friday, October 21, 2011 9:25 AM
To: Dhruv Dhody; [email-masked]
Subject: RE: Update in ID: draft-dhody-pce-pcep-domain-sequence

Hi Dhruv and all,

    0                   1                   2                   3

   //                       Domain ID                              //

What are your opinions?

Thanks

Fatai

Dear All,

Main Changes done:

Regards,

Dhruv

Dhruv Dhody